package cn.reghao.tnb.content.app.data.service;

import cn.reghao.jutil.jdk.web.db.PageList;
import cn.reghao.tnb.content.app.data.db.mapper.VoteMapper;
import cn.reghao.tnb.content.app.data.db.mapper.VoteOptionMapper;
import cn.reghao.tnb.content.app.data.db.mapper.VoteResultMapper;
import cn.reghao.tnb.content.app.data.model.dto.VoteDto;
import cn.reghao.tnb.content.app.data.model.dto.VoteProgressDto;
import cn.reghao.tnb.content.app.data.model.po.Vote;
import org.springframework.stereotype.Service;

/**
 * @author reghao
 * @date 2025-08-05 17:09:44
 */
@Service
public class VoteService {
    private VoteMapper voteMapper;
    private VoteOptionMapper voteOptionMapper;
    private VoteResultMapper voteResultMapper;

    public VoteService(VoteMapper voteMapper, VoteOptionMapper voteOptionMapper, VoteResultMapper voteResultMapper) {
        this.voteMapper = voteMapper;
        this.voteOptionMapper = voteOptionMapper;
        this.voteResultMapper = voteResultMapper;
    }

    public void createVote(VoteDto voteDto) {
    }

    public PageList<Vote> getVoteList(int pn) {
        return PageList.empty();
    }

    public Vote getVote(long voteId) {
        return null;
    }

    public void progressVote(VoteProgressDto voteProgressDto) {
    }
}
